DROP database if exists `setup-platform`;
CREATE database `setup-platform` default charset=utf8;
use `setup-platform`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;
-- ----------------------------
-- Table structure for mortals_xhx_app
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app`;
CREATE TABLE `mortals_xhx_app`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '应用名称',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_app
-- ----------------------------
INSERT INTO `mortals_xhx_app` VALUES (1, '测试平台', NULL, NULL, '123123', '2021-11-15 09:45:54', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (2, '测试项目2', NULL, NULL, '2222', '2021-11-15 11:30:44', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (3, '一件事一次办', NULL, NULL, '擦擦擦', '2021-11-15 17:09:29', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (4, '物联网', NULL, NULL, NULL, '2021-11-22 17:41:10', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (5, '大英交易中心', NULL, NULL, NULL, '2021-11-29 09:26:53', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (6, '大英交易中心2.0', NULL, NULL, NULL, '2021-11-29 22:31:02', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (7, '大英交易中心3.0', NULL, NULL, NULL, '2021-12-05 15:45:44', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (9, '基础服务平台', NULL, NULL, NULL, '2022-01-06 16:12:58', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (12, '设备管理平台', 'device-manager', '/m', NULL, '2022-03-09 13:49:15', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (13, '设备管理平台（新）', 'device-manager', '/m', NULL, '2022-04-11 10:29:46', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (14, '政务服务门户平台', NULL, NULL, NULL, '2022-05-30 13:45:13', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (15, '易政秀', NULL, NULL, '易政秀', '2022-06-06 15:49:42', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (16, '物联网V1.0', NULL, NULL, NULL, '2022-06-24 09:39:44', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (17, '填单系统', 'doc-transform', '/fill', '填单系统', '2022-09-22 15:01:12', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (18, '证照打印系统', 'certificate-print', '/cps', '证照打印系统', '2022-10-14 14:52:34', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (19, '自助服务系统', NULL, NULL, NULL, '2022-12-21 16:29:09', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (20, '船山项目', 'chuanshan', NULL, NULL, '2023-03-10 16:19:58', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (21, '考勤绩效管理平台', 'attendance-performance-manager', '/attendance', NULL, '2023-04-07 09:22:12', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (22, '31231', '213', '123', '123', '2023-05-23 17:49:37', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (23, 'etl', 'etl', 'etl', 'etl', '2023-07-15 14:58:22', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (24, 'test', NULL, NULL, NULL, '2023-07-15 18:22:38', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (25, 'test_1', NULL, NULL, NULL, '2023-07-15 20:25:33', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (26, '企业服务平台', 'enterprise-platform', '/enterprise', NULL, '2023-09-11 14:47:36', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (27, '综窗对接平台', 'complex-window-platform', 'complex', '综窗对接平台', '2024-06-20 14:43:16', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (28, '一业一证', NULL, NULL, '一业一证', '2024-07-27 16:33:31', 1, '系统管理员');
INSERT INTO `mortals_xhx_app` VALUES (29, '基础系统设置', 'bill-platform', 'bill', NULL, '2024-09-06 09:45:18', NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_dimension
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dimension`;
CREATE TABLE `mortals_xhx_dimension`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `dimension_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度编码',
  `dimension_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度名称',
  `dimension_value` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度值',
  `dimension_type` tinyint(2) NULL DEFAULT 1 COMMENT '维度类型(1.固定值,2.系统上下问变量)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '授权维度' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_dimension
-- ----------------------------
INSERT INTO `mortals_xhx_dimension` VALUES (1, 'siteId', '所属站点', 'siteIds', 2, '2024-05-16 13:45:11', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_dimension` VALUES (2, 'num', '数量', '100', 1, '2024-05-16 13:46:36', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_dimension` VALUES (3, 'dept', '部门', 'deptId', 1, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_dimension_resource_rule
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dimension_resource_rule`;
CREATE TABLE `mortals_xhx_dimension_resource_rule`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `role_id` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `resource_id` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  `rule_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则编码',
  `rule_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则名称',
  `rule_condition` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'IN' COMMENT '规则条件(属于.IN,小于.<,大于.>,等于.=,不等于.!=,大于等于>=,小于等于.<=,左模糊.like %,右模糊.like %)',
  `rule_value` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则值,固定值或者系统变量',
  `rule_type` tinyint(2) NULL DEFAULT 1 COMMENT '规则值类型(1.固定值,2.系统上下问变量)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源维度规则表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_dimension_resource_rule
-- ----------------------------
INSERT INTO `mortals_xhx_dimension_resource_rule` VALUES (1, 1, 150031, 'siteId', '所属站点', 'IN', 'siteIds', 2, '2024-05-16 13:49:03', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_dimension_resource_rule` VALUES (2, 1, 150031, 'productName', '所属产品名称', 'IN', '评价器', 1, '2024-05-16 13:49:44', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_dimension_resource_rule` VALUES (3, 1, 150032, 'deptId', '所属部门', '>', 'deptId', 2, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) UNSIGNED NOT NULL COMMENT 'id值',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `versionNum` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '版本号，默认0',
  `gmtModify` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '最后修改时间',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '主键Id生成器' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_idgenerator
-- ----------------------------
INSERT INTO `mortals_xhx_idgenerator` VALUES (1, 'INFO_VERSION_KEY', 1, '基础信息版本号生成因子', 0, '2019-04-18 18:00:00', NULL);

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) NULL DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) NULL DEFAULT 0 COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) NULL DEFAULT 1 COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `imgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) NULL DEFAULT 0 COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) NULL DEFAULT 0 COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9173 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_menu
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (91, '系统管理', '', 0, 9999, 1, 0, 0, NULL, 'el-icon-data-analysis', '', '', 0, 0, 3, NULL, NULL, '');
INSERT INTO `mortals_xhx_menu` VALUES (9001, '主页', '/index', 90, 10, 1, 0, 1, NULL, '', NULL, NULL, 0, 0, 3, '2019-02-19 16:08:09', 1, 'admin');
INSERT INTO `mortals_xhx_menu` VALUES (9101, '用户信息', '/user/list', 91, 10, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9102, '角色信息', '/role/list', 91, 20, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9103, '资源信息', '/resource/list', 91, 30, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9104, '菜单信息', '/menu/list', 91, 40, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9105, '参数信息', '/param/list', 91, 50, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9106, '任务信息', '/task/list', 91, 60, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9107, '操作日志', '/oper/log/list', 91, 70, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_menu` VALUES (9161, '项目部署管理', '/setup/project/list', 0, 0, 1, 0, 1, NULL, 'el-icon-document-remove', NULL, NULL, 0, 0, 3, '2024-06-20 15:38:49', 1, '系统管理员');
INSERT INTO `mortals_xhx_menu` VALUES (9163, '首页', '/index', NULL, 71, 1, 0, 1, NULL, 'el-icon-data-analysis', NULL, NULL, 0, 0, 3, '2024-06-20 15:42:02', 1, '系统管理员');

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) NULL DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_oper_log
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) NULL DEFAULT 1 COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) NULL DEFAULT 4 COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) NULL DEFAULT 0 COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 55 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_param
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (1, '在线状态 ', 'Device', 'deviceOnlineStatus', '0', '离线', 1, 4, 0, 'deviceOnlineStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (2, '在线状态 ', 'Device', 'deviceOnlineStatus', '1', '在线', 1, 4, 0, 'deviceOnlineStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (3, '启用状态 ', 'Device', 'status', '0', '停止', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (4, '启用状态 ', 'Device', 'status', '1', '启用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (5, '激活状态 ', 'Device', 'active', '0', '未激活', 1, 4, 0, 'active', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (6, '激活状态 ', 'Device', 'active', '1', '已激活', 1, 4, 0, 'active', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (7, '发送第三方平台消息类型', 'Platform', 'sendMsgType', '0', 'http', 1, 4, 0, 'sendMsgType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (8, '发送第三方平台消息类型', 'Platform', 'sendMsgType', '1', 'jms', 1, 4, 0, 'sendMsgType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (9, '是否启用发送消息', 'Platform', 'sendSwitch', '0', '停用', 1, 4, 0, 'sendSwitch', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (10, '是否启用发送消息', 'Platform', 'sendSwitch', '1', '启用', 1, 4, 0, 'sendSwitch', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (11, '日志类型，', 'DeviceLog', 'logType', '0', '上报事件', 1, 4, 0, 'logType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (12, '日志类型，', 'DeviceLog', 'logType', '1', '下发服务', 1, 4, 0, 'logType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (13, '数据获取方式', 'Device', 'deviceDataSourceWay', '1', '被动拉取', 1, 4, 0, 'deviceDataSourceWay', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (14, '服务对外接口地址', NULL, NULL, 'server_http_url', 'http://10.12.185.213:11078', 1, 4, 0, NULL, '2022-09-23 16:21:58', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (15, '设备资源部署细致', NULL, NULL, 'distribute_path', '/home/publish/app/homeDeviceUrl', 1, 4, 0, NULL, '2022-11-14 10:02:41', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (16, '前端对外地址', NULL, NULL, 'server_php_http_url', 'http://10.12.185.213:8090', 1, 4, 0, NULL, NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (17, '应用发布编码', 'appPublish', NULL, 'information-publish', '信息发布屏', 1, 4, 0, 'appPublish', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (18, '应用发布', 'appPublish', NULL, 'number-manager', '排号系统', 1, 4, 0, NULL, '2023-02-02 17:17:39', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (19, '应用发布', 'appPublish', NULL, 'guide-manager', '导视后台管理', 1, 4, 0, NULL, '2023-02-02 17:29:05', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (20, '应用发布', 'appPublish', NULL, 'base-manager-ui', '基础服务后台ui', 1, 4, 0, NULL, '2023-02-03 11:29:56', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (21, '应用发布', 'appPublish', NULL, 'portal-manager-ui', '门户服务后台管理ui', 1, 4, 0, NULL, '2023-02-03 11:32:21', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (22, '应用发布', 'appPublish', NULL, 'data-anaylse-ui', '数据分析前端', 1, 4, 0, NULL, '2023-02-04 11:22:26', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (23, '应用发布', 'appPublish', NULL, 'device-manager-ui', '设备管理前端', 1, 4, 0, NULL, '2023-02-05 13:18:23', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (24, '应用发布', 'appPublish', NULL, 'window-evaluate-ui', '窗口评价管理系统前端', 1, 4, 0, NULL, '2023-02-06 15:55:10', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (25, '应用发布', 'appPublish', NULL, 'write-doc-manager-ui', '填单管理系统前端ui', 1, 4, 0, NULL, '2023-02-06 17:29:18', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (26, '应用发布', 'appPublish', NULL, 'sample-form-manager-ui', '样表管理系统前端ui', 1, 4, 0, NULL, '2023-02-06 17:31:00', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (28, '应用发布', 'appPublish', NULL, 'access-manager-ui', '存取件系统后端ui', 1, 4, 0, NULL, '2023-02-07 15:37:17', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (29, '应用发布', 'appPublish', NULL, 'weChat-ui', '微官网后端ui', 1, 4, 0, NULL, '2023-02-14 15:48:03', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (30, 'php通知公告', NULL, NULL, 'notice_url', 'http://172.15.28.116:8090/api/', 1, 4, 0, NULL, '2023-02-20 10:57:47', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (31, '告警类型', 'AlarmConfig', 'alarmType', '0', '离线', 1, 4, 0, 'alarmType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (32, '告警级别,', 'AlarmConfig', 'alarmLevel', '0', '危险', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (33, '告警级别,', 'AlarmConfig', 'alarmLevel', '1', '次要', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (34, '告警级别,', 'AlarmConfig', 'alarmLevel', '2', '一般', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (35, '推送方式,', 'AlarmConfig', 'alarmPusW1ay', '0', '推送站内消息', 1, 4, 0, 'alarmPusW1ay', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (36, '推送方式,', 'AlarmConfig', 'alarmPusW1ay', '1', '短信', 1, 4, 0, 'alarmPusW1ay', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (37, '是否启用', 'AlarmConfig', 'enabled', '0', '不启用', 1, 4, 0, 'enabled', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (38, '是否启用', 'AlarmConfig', 'enabled', '1', '启用', 1, 4, 0, 'enabled', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (39, '告警类型,', 'DeviceAlarmInfo', 'alarmType', '0', '离线', 1, 4, 0, 'alarmType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (40, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '0', '危险', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (41, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '1', '次要', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (42, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '2', '一般', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (43, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '0', '未清除', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (44, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '1', '清除未确认', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (45, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '2', '清除已确认', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (46, '是否部署', 'DeviceModuleDistribute', 'distribute', '0', '否', 1, 4, 0, 'distribute', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (47, '是否部署', 'DeviceModuleDistribute', 'distribute', '1', '是', 1, 4, 0, 'distribute', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (48, '应用类型', 'AppPublish', 'appType', '0', '前端', 1, 4, 0, 'appType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (49, '应用类型', 'AppPublish', 'appType', '1', '后端', 1, 4, 0, 'appType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (50, '是否部署', 'AppPublish', 'distribute', '0', '否', 1, 4, 0, 'distribute', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (51, '是否部署', 'AppPublish', 'distribute', '1', '是', 1, 4, 0, 'distribute', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (53, '短信发送状态', 'AlarmSmsSend', 'sendStatus', '2', '发送成功', 1, 4, 0, NULL, '2023-11-28 11:14:54', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (54, '应用发布', 'appPublish', NULL, 'device-module', '设备管理系统3D模型', 1, 4, 0, NULL, '2024-02-29 14:22:36', 1, '系统管理员');

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) NULL DEFAULT 0 COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150061 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '资源信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_resource
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (150033, '项目工程信息-查看', '/setup/project/list,/setup/project/view,/setup/project/exportExcel,/setup/project/info', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150034, '系统管理-角色信息管理-查看', '/role/view,/role/info,/role/list,/role/exportExcel', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150035, '系统管理-用户信息管理-维护', '/user/save,/user/batchSave,/user/delete,/user/change/password,/user/importData,/user/logicDelete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150036, '系统管理-操作日志管理-查看', '/oper/log/view,/oper/log/list,/oper/log/exportExcel,/oper/log/downloadTemplate', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150037, '系统管理-任务信息管理-维护', '/task/importData,/task/change/status,/task/logicDelete,/task/save,/task/add,/task/edit,/task/delete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150038, '系统管理-分表索引信息管理-查看', '/table/index/view,/table/index/downloadTemplate,/table/index/exportExcel,/table/index/list', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150039, '产品-维护', '/product/importData,/product/logicDelete,/product/batchSave,/product/delete,/product/save', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150040, '应用信息-查看', '/app/downloadTemplate,/app/view,/app/exportExcel,/app/list', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150041, '系统管理-角色资源权限管理-维护', '/role/auth/distributionSource,/role/auth/batchSave,/role/auth/importData,/role/auth/save,/role/auth/logicDelete,/role/auth/delete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150042, '产品-查看', '/product/info,/product/list,/product/view,/product/exportExcel', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150043, '系统管理-角色信息管理-维护', '/role/batchSave,/role/roleNameByUserId,/role/delete,/role/save,/role/logicDelete,/role/importData', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150044, '系统管理-资源信息管理-维护', '/resource/importData,/resource/batchSave,/resource/allResources,/resource/save,/resource/logicDelete,/resource/delete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150045, '系统管理-参数信息管理-查看', '/param/downloadTemplate,/param/list,/param/view,/param/exportExcel', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150046, '系统管理-任务信息管理-查看', '/task/view,/task/list,/task/downloadTemplate,/task/exportExcel', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150047, '系统管理-信息管理-查看', '/menu/view,/menu/getListByParentId,/menu/list,/menu/exportExcel,/menu/info', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150048, '系统管理-分表索引信息管理-维护', '/table/index/delete,/table/index/save,/table/index/logicDelete,/table/index/edit,/table/index/add,/table/index/importData', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150049, '系统管理-验证码信息管理-查看', '/validcode/list,/validcode/exportExcel,/validcode/view,/validcode/downloadTemplate', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150050, '系统管理-参数信息管理-维护', '/param/delete,/param/add,/param/importData,/param/save,/param/logicDelete,/param/edit', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150051, '系统管理-角色用户管理-维护', '/role/user/distributionUser,/role/user/delete,/role/user/distributionRole,/role/user/save,/role/user/logicDelete,/role/user/batchSave,/role/user/importData', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150052, '系统管理-用户信息管理-查看', '/user/list,/user/exportExcel,/user/info,/user/view', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150053, '系统管理-操作日志管理-维护', '/oper/log/delete,/oper/log/importData,/oper/log/save,/oper/log/edit,/oper/log/add,/oper/log/logicDelete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150054, '应用信息-维护', '/app/logicDelete,/app/importData,/app/add,/app/edit,/app/delete,/app/save', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150055, '系统管理-角色用户管理-查看', '/role/user/list,/role/user/view,/role/user/exportExcel,/role/user/info', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150056, '系统管理-资源信息管理-查看', '/resource/info,/resource/list,/resource/exportExcel,/resource/view', 3, 0, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150057, '系统管理-验证码信息管理-维护', '/validcode/edit,/validcode/save,/validcode/add,/validcode/delete,/validcode/importData,/validcode/logicDelete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150058, '项目工程信息-维护', '/setup/project/importData,/setup/project/save,/setup/project/distribute,/setup/project/batchSave,/setup/project/delete,/setup/project/logicDelete', 3, 1, '2024-10-21 11:16:11', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150059, '系统管理-信息管理-维护', '/menu/treeselect,/menu/batchSave,/menu/importData,/menu/change/status,/menu/upOrDown,/menu/save,/menu/list/exclude,/menu/logicDelete,/menu/delete', 3, 1, '2024-10-21 11:16:12', 1, NULL, NULL);
INSERT INTO `mortals_xhx_resource` VALUES (150060, '系统管理-角色资源权限管理-查看', '/role/auth/list,/role/auth/info,/role/auth/view,/role/auth/exportExcel', 3, 0, '2024-10-21 11:16:12', 1, NULL, NULL);

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) NULL DEFAULT 2 COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) NULL DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_role
-- ----------------------------
INSERT INTO `mortals_xhx_role` VALUES (1, '管理员', '类似admin', 0, NULL, '2019-03-04 11:41:06', 1, 'admin', NULL);
INSERT INTO `mortals_xhx_role` VALUES (2, '111', NULL, 2, NULL, '2023-07-18 15:56:21', 7, '青霆科技', NULL);
INSERT INTO `mortals_xhx_role` VALUES (3, '操作员', NULL, 2, NULL, '2023-11-08 13:38:36', 1, '系统管理员', NULL);

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源权限' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_role_auth
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_role_user
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_setup_project
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_setup_project`;
CREATE TABLE `mortals_xhx_setup_project`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID,主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目产品名称',
  `projectCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目产品编码',
  `projectPath` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目部署地址',
  `projectShell` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目shell地址',
  `sourceProject` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目源文件地址，空则为内部包含',
  `dbHost` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '127.0.0.1' COMMENT '数据库host地址',
  `dbPort` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '3306' COMMENT '数据库端口',
  `dbUser` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'root' COMMENT '数据库用户',
  `dbPassword` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'xhx@2022' COMMENT '数据库密码',
  `dbName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据库名称',
  `version` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1.0' COMMENT '项目版本',
  `projectType` tinyint(2) NULL DEFAULT 1 COMMENT '项目类型(1.后端,2.前端,3.资源)',
  `projectStatus` tinyint(2) NULL DEFAULT 1 COMMENT '项目状态(1.未部署,2.已部署,3.停止,4.运行)',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '变更时间',
  `updateUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '变更用户,登录名',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建用户,登录名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '项目工程信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_setup_project
-- ----------------------------
INSERT INTO `mortals_xhx_setup_project` VALUES (1, '基础服务', 'base-manager', '/home/publish/', '/home/publish/base-manager/bin', '', '192.168.0.98', '3306', 'root', 'xhx@2022', 'base-platform1', '1.0', 1, 2, '基础平台后台服务', '2024-10-21 17:51:23', 'admin', '2024-10-21 13:55:45', 'admin');

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表标识',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分表索引信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_table_index
-- ----------------------------
INSERT INTO `mortals_xhx_table_index` VALUES (1, 'mortals_xhx_access_log_202302', '202302', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (2, 'mortals_xhx_access_log_202301', '202301', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (3, 'mortals_xhx_access_log_202304', '202304', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (4, 'mortals_xhx_access_log_202303', '202303', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (5, 'mortals_xhx_biz_log_202301', '202301', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (6, 'mortals_xhx_biz_log_202303', '202303', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (7, 'mortals_xhx_biz_log_202302', '202302', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (8, 'mortals_xhx_biz_log_202304', '202304', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (9, 'mortals_xhx_error_log_202301', '202301', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (10, 'mortals_xhx_error_log_202302', '202302', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (11, 'mortals_xhx_error_log_202303', '202303', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (12, 'mortals_xhx_error_log_202304', '202304', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (13, 'mortals_xhx_operate_log_202301', '202301', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (14, 'mortals_xhx_operate_log_202302', '202302', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (15, 'mortals_xhx_operate_log_202303', '202303', '2023-01-11 19:01:56');
INSERT INTO `mortals_xhx_table_index` VALUES (16, 'mortals_xhx_operate_log_202304', '202304', '2023-01-11 19:01:56');

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) NULL DEFAULT 0 COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '任务执行参数',
  `excuteHost` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) NULL DEFAULT 1 COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) NULL DEFAULT 0 COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime(0) NULL DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) NULL DEFAULT 0 COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_task
-- ----------------------------
INSERT INTO `mortals_xhx_task` VALUES (2, '分表创建任务', 'tableIndexService', 0, 'tableIndexService', NULL, NULL, 1, 0, '00:30', NULL, '172.17.0.1', '2024-07-08 00:30:00', 0, '2021-08-12 11:07:23', 1, '系统管理员');
INSERT INTO `mortals_xhx_task` VALUES (7, '用户同步', 'syncUserTask', 0, 'SyncUserTask', NULL, NULL, 1, 0, '01:20', NULL, '192.168.56.1', '2024-05-16 01:20:00', 0, '2022-07-06 10:49:48', 1, '系统管理员');

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) NULL DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '上传文件' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_uploadfile
-- ----------------------------

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型(0.系统用户,1.普通用户,2.工作人员)',
  `siteIds` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属站点id,多个逗号分隔',
  `areaCodes` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属区域code,多个逗号分隔',
  `status` tinyint(2) NULL DEFAULT NULL COMMENT '用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime(0) NULL DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后一次登录地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息业务' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_user
-- ----------------------------
INSERT INTO `mortals_xhx_user` VALUES (1, 'admin', '43442676c74ae59f219c2d87fd6bad52', NULL, '系统管理员', '13808095770', NULL, NULL, NULL, 1, '1,4,5,10,11,12,13,14,15,16,17,18,19,20', '511500000000', 1, '2022-06-02 09:12:26', 1, 'admin', '2022-06-02 09:12:26', '');

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) NULL DEFAULT 0 COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime(0) NULL DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '验证码信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mortals_xhx_valid_code
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
