package com.mortals.xhx.module.setup.model;

import java.util.List;
import com.mortals.xhx.module.setup.model.SetupProjectEntity;
/**
 * 项目工程信息查询对象
 *
 * @author zxfei
 * @date 2024-10-24
 */
public class SetupProjectQuery extends SetupProjectEntity {
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长列表 */
    private List <Long> idList;

    /** ID,主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 项目产品名称 */
    private List<String> nameList;

    /** 项目产品名称排除列表 */
    private List <String> nameNotList;
    /** 项目产品编码 */
    private List<String> projectCodeList;

    /** 项目产品编码排除列表 */
    private List <String> projectCodeNotList;
    /** 项目部署地址 */
    private List<String> projectPathList;

    /** 项目部署地址排除列表 */
    private List <String> projectPathNotList;
    /** 项目shell地址 */
    private List<String> projectShellList;

    /** 项目shell地址排除列表 */
    private List <String> projectShellNotList;
    /** 项目源文件地址，空则为内部包含 */
    private List<String> sourceProjectList;

    /** 项目源文件地址，空则为内部包含排除列表 */
    private List <String> sourceProjectNotList;
    /** 数据库host地址 */
    private List<String> dbHostList;

    /** 数据库host地址排除列表 */
    private List <String> dbHostNotList;
    /** 数据库端口 */
    private List<String> dbPortList;

    /** 数据库端口排除列表 */
    private List <String> dbPortNotList;
    /** 数据库用户 */
    private List<String> dbUserList;

    /** 数据库用户排除列表 */
    private List <String> dbUserNotList;
    /** 数据库密码 */
    private List<String> dbPasswordList;

    /** 数据库密码排除列表 */
    private List <String> dbPasswordNotList;
    /** 数据库名称 */
    private List<String> dbNameList;

    /** 数据库名称排除列表 */
    private List <String> dbNameNotList;
    /** 项目版本 */
    private List<String> versionList;

    /** 项目版本排除列表 */
    private List <String> versionNotList;
    /** 开始 项目类型(1.后端,2.前端,3.资源) */
    private Integer projectTypeStart;

    /** 结束 项目类型(1.后端,2.前端,3.资源) */
    private Integer projectTypeEnd;

    /** 增加 项目类型(1.后端,2.前端,3.资源) */
    private Integer projectTypeIncrement;

    /** 项目类型(1.后端,2.前端,3.资源)列表 */
    private List <Integer> projectTypeList;

    /** 项目类型(1.后端,2.前端,3.资源)排除列表 */
    private List <Integer> projectTypeNotList;

    /** 开始 项目状态(1.未部署,2.已部署,3.停止,4.运行) */
    private Integer projectStatusStart;

    /** 结束 项目状态(1.未部署,2.已部署,3.停止,4.运行) */
    private Integer projectStatusEnd;

    /** 增加 项目状态(1.未部署,2.已部署,3.停止,4.运行) */
    private Integer projectStatusIncrement;

    /** 项目状态(1.未部署,2.已部署,3.停止,4.运行)列表 */
    private List <Integer> projectStatusList;

    /** 项目状态(1.未部署,2.已部署,3.停止,4.运行)排除列表 */
    private List <Integer> projectStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户,登录名 */
    private List<String> updateUserList;

    /** 变更用户,登录名排除列表 */
    private List <String> updateUserNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户,登录名 */
    private List<String> createUserList;

    /** 创建用户,登录名排除列表 */
    private List <String> createUserNotList;
    /** 开始 排序字段 */
    private Long orderNumStart;

    /** 结束 排序字段 */
    private Long orderNumEnd;

    /** 增加 排序字段 */
    private Long orderNumIncrement;

    /** 排序字段列表 */
    private List <Long> orderNumList;

    /** 排序字段排除列表 */
    private List <Long> orderNumNotList;

    /** 开始 更新用户id */
    private Long updateUserIdStart;

    /** 结束 更新用户id */
    private Long updateUserIdEnd;

    /** 增加 更新用户id */
    private Long updateUserIdIncrement;

    /** 更新用户id列表 */
    private List <Long> updateUserIdList;

    /** 更新用户id排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 创建用户id */
    private Long createUserIdStart;

    /** 结束 创建用户id */
    private Long createUserIdEnd;

    /** 增加 创建用户id */
    private Long createUserIdIncrement;

    /** 创建用户id列表 */
    private List <Long> createUserIdList;

    /** 创建用户id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编号，来源基础服务平台 */
    private List<String> siteCodeList;

    /** 站点编号，来源基础服务平台排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 区域编码 */
    private List<String> areaCodeList;

    /** 区域编码排除列表 */
    private List <String> areaCodeNotList;
    /** 区域名称 */
    private List<String> areaNameList;

    /** 区域名称排除列表 */
    private List <String> areaNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SetupProjectQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SetupProjectQuery> andConditionList;

    public SetupProjectQuery(){}

    /**
     * 获取 开始 ID,主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 ID,主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 ID,主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 ID,主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 ID,主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 ID,主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 ID,主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 ID,主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 项目产品名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 项目产品名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 项目产品名称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 项目产品名称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 项目产品编码
     * @return projectCodeList
     */
    public List<String> getProjectCodeList(){
        return this.projectCodeList;
    }

    /**
     * 设置 项目产品编码
     * @param projectCodeList
     */
    public void setProjectCodeList(List<String> projectCodeList){
        this.projectCodeList = projectCodeList;
    }

    /**
     * 获取 项目产品编码
     * @return projectCodeNotList
     */
    public List<String> getProjectCodeNotList(){
        return this.projectCodeNotList;
    }

    /**
     * 设置 项目产品编码
     * @param projectCodeNotList
     */
    public void setProjectCodeNotList(List<String> projectCodeNotList){
        this.projectCodeNotList = projectCodeNotList;
    }

    /**
     * 获取 项目部署地址
     * @return projectPathList
     */
    public List<String> getProjectPathList(){
        return this.projectPathList;
    }

    /**
     * 设置 项目部署地址
     * @param projectPathList
     */
    public void setProjectPathList(List<String> projectPathList){
        this.projectPathList = projectPathList;
    }

    /**
     * 获取 项目部署地址
     * @return projectPathNotList
     */
    public List<String> getProjectPathNotList(){
        return this.projectPathNotList;
    }

    /**
     * 设置 项目部署地址
     * @param projectPathNotList
     */
    public void setProjectPathNotList(List<String> projectPathNotList){
        this.projectPathNotList = projectPathNotList;
    }

    /**
     * 获取 项目shell地址
     * @return projectShellList
     */
    public List<String> getProjectShellList(){
        return this.projectShellList;
    }

    /**
     * 设置 项目shell地址
     * @param projectShellList
     */
    public void setProjectShellList(List<String> projectShellList){
        this.projectShellList = projectShellList;
    }

    /**
     * 获取 项目shell地址
     * @return projectShellNotList
     */
    public List<String> getProjectShellNotList(){
        return this.projectShellNotList;
    }

    /**
     * 设置 项目shell地址
     * @param projectShellNotList
     */
    public void setProjectShellNotList(List<String> projectShellNotList){
        this.projectShellNotList = projectShellNotList;
    }

    /**
     * 获取 项目源文件地址，空则为内部包含
     * @return sourceProjectList
     */
    public List<String> getSourceProjectList(){
        return this.sourceProjectList;
    }

    /**
     * 设置 项目源文件地址，空则为内部包含
     * @param sourceProjectList
     */
    public void setSourceProjectList(List<String> sourceProjectList){
        this.sourceProjectList = sourceProjectList;
    }

    /**
     * 获取 项目源文件地址，空则为内部包含
     * @return sourceProjectNotList
     */
    public List<String> getSourceProjectNotList(){
        return this.sourceProjectNotList;
    }

    /**
     * 设置 项目源文件地址，空则为内部包含
     * @param sourceProjectNotList
     */
    public void setSourceProjectNotList(List<String> sourceProjectNotList){
        this.sourceProjectNotList = sourceProjectNotList;
    }

    /**
     * 获取 数据库host地址
     * @return dbHostList
     */
    public List<String> getDbHostList(){
        return this.dbHostList;
    }

    /**
     * 设置 数据库host地址
     * @param dbHostList
     */
    public void setDbHostList(List<String> dbHostList){
        this.dbHostList = dbHostList;
    }

    /**
     * 获取 数据库host地址
     * @return dbHostNotList
     */
    public List<String> getDbHostNotList(){
        return this.dbHostNotList;
    }

    /**
     * 设置 数据库host地址
     * @param dbHostNotList
     */
    public void setDbHostNotList(List<String> dbHostNotList){
        this.dbHostNotList = dbHostNotList;
    }

    /**
     * 获取 数据库端口
     * @return dbPortList
     */
    public List<String> getDbPortList(){
        return this.dbPortList;
    }

    /**
     * 设置 数据库端口
     * @param dbPortList
     */
    public void setDbPortList(List<String> dbPortList){
        this.dbPortList = dbPortList;
    }

    /**
     * 获取 数据库端口
     * @return dbPortNotList
     */
    public List<String> getDbPortNotList(){
        return this.dbPortNotList;
    }

    /**
     * 设置 数据库端口
     * @param dbPortNotList
     */
    public void setDbPortNotList(List<String> dbPortNotList){
        this.dbPortNotList = dbPortNotList;
    }

    /**
     * 获取 数据库用户
     * @return dbUserList
     */
    public List<String> getDbUserList(){
        return this.dbUserList;
    }

    /**
     * 设置 数据库用户
     * @param dbUserList
     */
    public void setDbUserList(List<String> dbUserList){
        this.dbUserList = dbUserList;
    }

    /**
     * 获取 数据库用户
     * @return dbUserNotList
     */
    public List<String> getDbUserNotList(){
        return this.dbUserNotList;
    }

    /**
     * 设置 数据库用户
     * @param dbUserNotList
     */
    public void setDbUserNotList(List<String> dbUserNotList){
        this.dbUserNotList = dbUserNotList;
    }

    /**
     * 获取 数据库密码
     * @return dbPasswordList
     */
    public List<String> getDbPasswordList(){
        return this.dbPasswordList;
    }

    /**
     * 设置 数据库密码
     * @param dbPasswordList
     */
    public void setDbPasswordList(List<String> dbPasswordList){
        this.dbPasswordList = dbPasswordList;
    }

    /**
     * 获取 数据库密码
     * @return dbPasswordNotList
     */
    public List<String> getDbPasswordNotList(){
        return this.dbPasswordNotList;
    }

    /**
     * 设置 数据库密码
     * @param dbPasswordNotList
     */
    public void setDbPasswordNotList(List<String> dbPasswordNotList){
        this.dbPasswordNotList = dbPasswordNotList;
    }

    /**
     * 获取 数据库名称
     * @return dbNameList
     */
    public List<String> getDbNameList(){
        return this.dbNameList;
    }

    /**
     * 设置 数据库名称
     * @param dbNameList
     */
    public void setDbNameList(List<String> dbNameList){
        this.dbNameList = dbNameList;
    }

    /**
     * 获取 数据库名称
     * @return dbNameNotList
     */
    public List<String> getDbNameNotList(){
        return this.dbNameNotList;
    }

    /**
     * 设置 数据库名称
     * @param dbNameNotList
     */
    public void setDbNameNotList(List<String> dbNameNotList){
        this.dbNameNotList = dbNameNotList;
    }

    /**
     * 获取 项目版本
     * @return versionList
     */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
     * 设置 项目版本
     * @param versionList
     */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }

    /**
     * 获取 项目版本
     * @return versionNotList
     */
    public List<String> getVersionNotList(){
        return this.versionNotList;
    }

    /**
     * 设置 项目版本
     * @param versionNotList
     */
    public void setVersionNotList(List<String> versionNotList){
        this.versionNotList = versionNotList;
    }

    /**
     * 获取 开始 项目类型(1.后端,2.前端,3.资源)
     * @return projectTypeStart
     */
    public Integer getProjectTypeStart(){
        return this.projectTypeStart;
    }

    /**
     * 设置 开始 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeStart
     */
    public void setProjectTypeStart(Integer projectTypeStart){
        this.projectTypeStart = projectTypeStart;
    }

    /**
     * 获取 结束 项目类型(1.后端,2.前端,3.资源)
     * @return $projectTypeEnd
     */
    public Integer getProjectTypeEnd(){
        return this.projectTypeEnd;
    }

    /**
     * 设置 结束 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeEnd
     */
    public void setProjectTypeEnd(Integer projectTypeEnd){
        this.projectTypeEnd = projectTypeEnd;
    }

    /**
     * 获取 增加 项目类型(1.后端,2.前端,3.资源)
     * @return projectTypeIncrement
     */
    public Integer getProjectTypeIncrement(){
        return this.projectTypeIncrement;
    }

    /**
     * 设置 增加 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeIncrement
     */
    public void setProjectTypeIncrement(Integer projectTypeIncrement){
        this.projectTypeIncrement = projectTypeIncrement;
    }

    /**
     * 获取 项目类型(1.后端,2.前端,3.资源)
     * @return projectTypeList
     */
    public List<Integer> getProjectTypeList(){
        return this.projectTypeList;
    }

    /**
     * 设置 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeList
     */
    public void setProjectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
    }

    /**
     * 获取 项目类型(1.后端,2.前端,3.资源)
     * @return projectTypeNotList
     */
    public List<Integer> getProjectTypeNotList(){
        return this.projectTypeNotList;
    }

    /**
     * 设置 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeNotList
     */
    public void setProjectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
    }


    /**
     * 获取 开始 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @return projectStatusStart
     */
    public Integer getProjectStatusStart(){
        return this.projectStatusStart;
    }

    /**
     * 设置 开始 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusStart
     */
    public void setProjectStatusStart(Integer projectStatusStart){
        this.projectStatusStart = projectStatusStart;
    }

    /**
     * 获取 结束 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @return $projectStatusEnd
     */
    public Integer getProjectStatusEnd(){
        return this.projectStatusEnd;
    }

    /**
     * 设置 结束 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusEnd
     */
    public void setProjectStatusEnd(Integer projectStatusEnd){
        this.projectStatusEnd = projectStatusEnd;
    }

    /**
     * 获取 增加 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @return projectStatusIncrement
     */
    public Integer getProjectStatusIncrement(){
        return this.projectStatusIncrement;
    }

    /**
     * 设置 增加 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusIncrement
     */
    public void setProjectStatusIncrement(Integer projectStatusIncrement){
        this.projectStatusIncrement = projectStatusIncrement;
    }

    /**
     * 获取 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @return projectStatusList
     */
    public List<Integer> getProjectStatusList(){
        return this.projectStatusList;
    }

    /**
     * 设置 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusList
     */
    public void setProjectStatusList(List<Integer> projectStatusList){
        this.projectStatusList = projectStatusList;
    }

    /**
     * 获取 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @return projectStatusNotList
     */
    public List<Integer> getProjectStatusNotList(){
        return this.projectStatusNotList;
    }

    /**
     * 设置 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusNotList
     */
    public void setProjectStatusNotList(List<Integer> projectStatusNotList){
        this.projectStatusNotList = projectStatusNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 变更时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 变更时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 变更时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 变更时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 变更用户,登录名
     * @return updateUserList
     */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
     * 设置 变更用户,登录名
     * @param updateUserList
     */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }

    /**
     * 获取 变更用户,登录名
     * @return updateUserNotList
     */
    public List<String> getUpdateUserNotList(){
        return this.updateUserNotList;
    }

    /**
     * 设置 变更用户,登录名
     * @param updateUserNotList
     */
    public void setUpdateUserNotList(List<String> updateUserNotList){
        this.updateUserNotList = updateUserNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 创建用户,登录名
     * @return createUserList
     */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
     * 设置 创建用户,登录名
     * @param createUserList
     */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }

    /**
     * 获取 创建用户,登录名
     * @return createUserNotList
     */
    public List<String> getCreateUserNotList(){
        return this.createUserNotList;
    }

    /**
     * 设置 创建用户,登录名
     * @param createUserNotList
     */
    public void setCreateUserNotList(List<String> createUserNotList){
        this.createUserNotList = createUserNotList;
    }

    /**
     * 获取 开始 排序字段
     * @return orderNumStart
     */
    public Long getOrderNumStart(){
        return this.orderNumStart;
    }

    /**
     * 设置 开始 排序字段
     * @param orderNumStart
     */
    public void setOrderNumStart(Long orderNumStart){
        this.orderNumStart = orderNumStart;
    }

    /**
     * 获取 结束 排序字段
     * @return $orderNumEnd
     */
    public Long getOrderNumEnd(){
        return this.orderNumEnd;
    }

    /**
     * 设置 结束 排序字段
     * @param orderNumEnd
     */
    public void setOrderNumEnd(Long orderNumEnd){
        this.orderNumEnd = orderNumEnd;
    }

    /**
     * 获取 增加 排序字段
     * @return orderNumIncrement
     */
    public Long getOrderNumIncrement(){
        return this.orderNumIncrement;
    }

    /**
     * 设置 增加 排序字段
     * @param orderNumIncrement
     */
    public void setOrderNumIncrement(Long orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
    }

    /**
     * 获取 排序字段
     * @return orderNumList
     */
    public List<Long> getOrderNumList(){
        return this.orderNumList;
    }

    /**
     * 设置 排序字段
     * @param orderNumList
     */
    public void setOrderNumList(List<Long> orderNumList){
        this.orderNumList = orderNumList;
    }

    /**
     * 获取 排序字段
     * @return orderNumNotList
     */
    public List<Long> getOrderNumNotList(){
        return this.orderNumNotList;
    }

    /**
     * 设置 排序字段
     * @param orderNumNotList
     */
    public void setOrderNumNotList(List<Long> orderNumNotList){
        this.orderNumNotList = orderNumNotList;
    }


    /**
     * 获取 开始 更新用户id
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户id
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户id
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户id
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户id
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户id
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户id
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户id
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户id
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户id
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 创建用户id
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户id
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户id
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户id
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户id
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户id
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户id
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户id
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户id
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户id
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 区域编码
     * @return areaCodeList
     */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
     * 获取 区域编码
     * @return areaCodeNotList
     */
    public List<String> getAreaCodeNotList(){
        return this.areaCodeNotList;
    }

    /**
     * 设置 区域编码
     * @param areaCodeNotList
     */
    public void setAreaCodeNotList(List<String> areaCodeNotList){
        this.areaCodeNotList = areaCodeNotList;
    }

    /**
     * 获取 区域名称
     * @return areaNameList
     */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
     * 获取 区域名称
     * @return areaNameNotList
     */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
     * 设置 区域名称
     * @param areaNameNotList
     */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
     * 设置  ID,主键，自增长
     * @param id
     */
    public SetupProjectQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 ID,主键，自增长
     * @param idStart
     */
    public SetupProjectQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 ID,主键，自增长
     * @param idEnd
     */
    public SetupProjectQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 ID,主键，自增长
     * @param idIncrement
     */
    public SetupProjectQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idList
     */
    public SetupProjectQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idNotList
     */
    public SetupProjectQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 项目产品名称
     * @param name
     */
    public SetupProjectQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 项目产品名称
     * @param nameList
     */
    public SetupProjectQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 项目产品编码
     * @param projectCode
     */
    public SetupProjectQuery projectCode(String projectCode){
        setProjectCode(projectCode);
        return this;
    }

    /**
     * 设置 项目产品编码
     * @param projectCodeList
     */
    public SetupProjectQuery projectCodeList(List<String> projectCodeList){
        this.projectCodeList = projectCodeList;
        return this;
    }


    /**
     * 设置 项目部署地址
     * @param projectPath
     */
    public SetupProjectQuery projectPath(String projectPath){
        setProjectPath(projectPath);
        return this;
    }

    /**
     * 设置 项目部署地址
     * @param projectPathList
     */
    public SetupProjectQuery projectPathList(List<String> projectPathList){
        this.projectPathList = projectPathList;
        return this;
    }


    /**
     * 设置 项目shell地址
     * @param projectShell
     */
    public SetupProjectQuery projectShell(String projectShell){
        setProjectShell(projectShell);
        return this;
    }

    /**
     * 设置 项目shell地址
     * @param projectShellList
     */
    public SetupProjectQuery projectShellList(List<String> projectShellList){
        this.projectShellList = projectShellList;
        return this;
    }


    /**
     * 设置 项目源文件地址，空则为内部包含
     * @param sourceProject
     */
    public SetupProjectQuery sourceProject(String sourceProject){
        setSourceProject(sourceProject);
        return this;
    }

    /**
     * 设置 项目源文件地址，空则为内部包含
     * @param sourceProjectList
     */
    public SetupProjectQuery sourceProjectList(List<String> sourceProjectList){
        this.sourceProjectList = sourceProjectList;
        return this;
    }


    /**
     * 设置 数据库host地址
     * @param dbHost
     */
    public SetupProjectQuery dbHost(String dbHost){
        setDbHost(dbHost);
        return this;
    }

    /**
     * 设置 数据库host地址
     * @param dbHostList
     */
    public SetupProjectQuery dbHostList(List<String> dbHostList){
        this.dbHostList = dbHostList;
        return this;
    }


    /**
     * 设置 数据库端口
     * @param dbPort
     */
    public SetupProjectQuery dbPort(String dbPort){
        setDbPort(dbPort);
        return this;
    }

    /**
     * 设置 数据库端口
     * @param dbPortList
     */
    public SetupProjectQuery dbPortList(List<String> dbPortList){
        this.dbPortList = dbPortList;
        return this;
    }


    /**
     * 设置 数据库用户
     * @param dbUser
     */
    public SetupProjectQuery dbUser(String dbUser){
        setDbUser(dbUser);
        return this;
    }

    /**
     * 设置 数据库用户
     * @param dbUserList
     */
    public SetupProjectQuery dbUserList(List<String> dbUserList){
        this.dbUserList = dbUserList;
        return this;
    }


    /**
     * 设置 数据库密码
     * @param dbPassword
     */
    public SetupProjectQuery dbPassword(String dbPassword){
        setDbPassword(dbPassword);
        return this;
    }

    /**
     * 设置 数据库密码
     * @param dbPasswordList
     */
    public SetupProjectQuery dbPasswordList(List<String> dbPasswordList){
        this.dbPasswordList = dbPasswordList;
        return this;
    }


    /**
     * 设置 数据库名称
     * @param dbName
     */
    public SetupProjectQuery dbName(String dbName){
        setDbName(dbName);
        return this;
    }

    /**
     * 设置 数据库名称
     * @param dbNameList
     */
    public SetupProjectQuery dbNameList(List<String> dbNameList){
        this.dbNameList = dbNameList;
        return this;
    }


    /**
     * 设置 项目版本
     * @param version
     */
    public SetupProjectQuery version(String version){
        setVersion(version);
        return this;
    }

    /**
     * 设置 项目版本
     * @param versionList
     */
    public SetupProjectQuery versionList(List<String> versionList){
        this.versionList = versionList;
        return this;
    }

    /**
     * 设置  项目类型(1.后端,2.前端,3.资源)
     * @param projectType
     */
    public SetupProjectQuery projectType(Integer projectType){
        setProjectType(projectType);
        return this;
    }

    /**
     * 设置 开始 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeStart
     */
    public SetupProjectQuery projectTypeStart(Integer projectTypeStart){
        this.projectTypeStart = projectTypeStart;
        return this;
    }

    /**
     * 设置 结束 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeEnd
     */
    public SetupProjectQuery projectTypeEnd(Integer projectTypeEnd){
        this.projectTypeEnd = projectTypeEnd;
        return this;
    }

    /**
     * 设置 增加 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeIncrement
     */
    public SetupProjectQuery projectTypeIncrement(Integer projectTypeIncrement){
        this.projectTypeIncrement = projectTypeIncrement;
        return this;
    }

    /**
     * 设置 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeList
     */
    public SetupProjectQuery projectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
        return this;
    }

    /**
     * 设置 项目类型(1.后端,2.前端,3.资源)
     * @param projectTypeNotList
     */
    public SetupProjectQuery projectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
        return this;
    }

    /**
     * 设置  项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatus
     */
    public SetupProjectQuery projectStatus(Integer projectStatus){
        setProjectStatus(projectStatus);
        return this;
    }

    /**
     * 设置 开始 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusStart
     */
    public SetupProjectQuery projectStatusStart(Integer projectStatusStart){
        this.projectStatusStart = projectStatusStart;
        return this;
    }

    /**
     * 设置 结束 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusEnd
     */
    public SetupProjectQuery projectStatusEnd(Integer projectStatusEnd){
        this.projectStatusEnd = projectStatusEnd;
        return this;
    }

    /**
     * 设置 增加 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusIncrement
     */
    public SetupProjectQuery projectStatusIncrement(Integer projectStatusIncrement){
        this.projectStatusIncrement = projectStatusIncrement;
        return this;
    }

    /**
     * 设置 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusList
     */
    public SetupProjectQuery projectStatusList(List<Integer> projectStatusList){
        this.projectStatusList = projectStatusList;
        return this;
    }

    /**
     * 设置 项目状态(1.未部署,2.已部署,3.停止,4.运行)
     * @param projectStatusNotList
     */
    public SetupProjectQuery projectStatusNotList(List<Integer> projectStatusNotList){
        this.projectStatusNotList = projectStatusNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public SetupProjectQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public SetupProjectQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }



    /**
     * 设置 变更用户,登录名
     * @param updateUser
     */
    public SetupProjectQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
        return this;
    }

    /**
     * 设置 变更用户,登录名
     * @param updateUserList
     */
    public SetupProjectQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
        return this;
    }



    /**
     * 设置 创建用户,登录名
     * @param createUser
     */
    public SetupProjectQuery createUser(String createUser){
        setCreateUser(createUser);
        return this;
    }

    /**
     * 设置 创建用户,登录名
     * @param createUserList
     */
    public SetupProjectQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
        return this;
    }

    /**
     * 设置  排序字段
     * @param orderNum
     */
    public SetupProjectQuery orderNum(Long orderNum){
        setOrderNum(orderNum);
        return this;
    }

    /**
     * 设置 开始 排序字段
     * @param orderNumStart
     */
    public SetupProjectQuery orderNumStart(Long orderNumStart){
        this.orderNumStart = orderNumStart;
        return this;
    }

    /**
     * 设置 结束 排序字段
     * @param orderNumEnd
     */
    public SetupProjectQuery orderNumEnd(Long orderNumEnd){
        this.orderNumEnd = orderNumEnd;
        return this;
    }

    /**
     * 设置 增加 排序字段
     * @param orderNumIncrement
     */
    public SetupProjectQuery orderNumIncrement(Long orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
        return this;
    }

    /**
     * 设置 排序字段
     * @param orderNumList
     */
    public SetupProjectQuery orderNumList(List<Long> orderNumList){
        this.orderNumList = orderNumList;
        return this;
    }

    /**
     * 设置 排序字段
     * @param orderNumNotList
     */
    public SetupProjectQuery orderNumNotList(List<Long> orderNumNotList){
        this.orderNumNotList = orderNumNotList;
        return this;
    }

    /**
     * 设置  更新用户id
     * @param updateUserId
     */
    public SetupProjectQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户id
     * @param updateUserIdStart
     */
    public SetupProjectQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户id
     * @param updateUserIdEnd
     */
    public SetupProjectQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户id
     * @param updateUserIdIncrement
     */
    public SetupProjectQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户id
     * @param updateUserIdList
     */
    public SetupProjectQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户id
     * @param updateUserIdNotList
     */
    public SetupProjectQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 设置  创建用户id
     * @param createUserId
     */
    public SetupProjectQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户id
     * @param createUserIdStart
     */
    public SetupProjectQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户id
     * @param createUserIdEnd
     */
    public SetupProjectQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户id
     * @param createUserIdIncrement
     */
    public SetupProjectQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户id
     * @param createUserIdList
     */
    public SetupProjectQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户id
     * @param createUserIdNotList
     */
    public SetupProjectQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public SetupProjectQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public SetupProjectQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public SetupProjectQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public SetupProjectQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public SetupProjectQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public SetupProjectQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCode
     */
    public SetupProjectQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public SetupProjectQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public SetupProjectQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public SetupProjectQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 区域编码
     * @param areaCode
     */
    public SetupProjectQuery areaCode(String areaCode){
        setAreaCode(areaCode);
        return this;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public SetupProjectQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
        return this;
    }


    /**
     * 设置 区域名称
     * @param areaName
     */
    public SetupProjectQuery areaName(String areaName){
        setAreaName(areaName);
        return this;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public SetupProjectQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SetupProjectQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SetupProjectQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SetupProjectQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SetupProjectQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}